
Figure - Bug #117507
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】出现1次，在小窗应用与多任务管理页面来回切换3-5次后整个屏幕操作无响应
2023-04-14 16:04 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-04-14

Priority: Urgent Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304140602

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version: 2023-04-21

Test Type: Free Test Root cause: 问题原因：��可能与小窗和多任务的状态切换有关系。

Description

【测试步骤】

1.打开强制小窗应用（网易新闻），关闭小窗应用进入多任务管理页

2.点击空白处退出多任务管理页，打开网易新闻然后关闭，进入多任务管理页

3.重复操作步骤1和2（5次左右）

【预期结果】

页面切换显示正常

【测试结果】

在屏幕上点击，长按，滑动均无响应（重启后恢复正常）

History

#1 - 2023-04-14 16:31 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-鲁凯峰

Hi 凯峰

无响应时，每次点击都会出现下列日志，应该是事情分发出错，请帮助解析

------------------

04-14 14:10:34.093   857  1050 W SDM     : HWCDisplay::GetHWCLayer: [0] GetLayer(1580) failed: no such layer

04-14 14:10:34.099  1010  1010 W HwcComposer: command 0x3000000 generated error 3

04-14 14:10:34.251 18631 18729 D MemoryCeilingMonitor: [handleMemoryCalculate]

04-14 14:10:34.251 18631 18729 D MemoryCeilingMonitor: [calculate] tot: 4537194, max: 268435456, free: 265562, heap: 4271632, per: 0.015913069248199463

04-14 14:10:34.695   857  1050 W SDM     : HWCDisplay::GetHWCLayer: [0] GetLayer(1581) failed: no such layer

04-14 14:10:34.701  1010  1010 W HwcComposer: command 0x3000000 generated error 3

04-14 14:10:34.747  1227 30680 I OMX-VENC: venc_dev: stats: avg. fps 51.87, bitrate 2645545

04-14 14:10:34.889   649   667 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

04-14 14:10:35.118     0     0 E DTC_ETH,link_delay_work_func: 3003, SQI=0, link=0

04-14 14:10:35.281   857  1050 W SDM     : HWCDisplay::GetHWCLayer: [0] GetLayer(1582) failed: no such layer

04-14 14:10:35.291  1010  1010 W HwcComposer: command 0x3000000 generated error 3

04-14 14:10:35.539   649   666 I mpu_uart: [MSG-P:R]:recv sync frame timeout

04-14 14:10:35.749  1227 30680 I OMX-VENC: venc_dev: stats: avg. fps 45.93, bitrate 2921450

04-14 14:10:35.889   649   667 I mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

04-14 14:10:36.053   857  1050 W SDM     : HWCDisplay::GetHWCLayer: [0] GetLayer(1583) failed: no such layer

04-14 14:10:36.063  1010  1010 W HwcComposer: command 0x3000000 generated error 3

04-14 14:10:36.758  1227 30680 I OMX-VENC: venc_dev: stats: avg. fps 32.68, bitrate 2061183
04-14 14:10:36.801   857  1050 W SDM     : HWCDisplay::GetHWCLayer: [0] GetLayer(1584) failed: no such layer

04-14 14:10:36.810  1010  1010 W HwcComposer: command 0x3000000 generated error 3

------------------

#2 - 2023-04-14 19:01 - CD TEST-方永红

- Priority changed from High to Urgent

- Severity changed from Major to Critical

#3 - 2023-04-15 19:53 - CD FW-鲁凯峰

还在分析tlog中

#4 - 2023-04-19 11:19 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-鲁凯峰 to CD FW王武军

#5 - 2023-04-19 20:03 - CD FW王武军

【】当前状态

4月19日调查进展：

不知道问题原因，还在分析小窗的流程

#6 - 2023-04-21 15:28 - CD FW王武军

【】当前状态

1、确认现象，本地尝试复现问题(包含使用最新的db版本)，但是一直未复现。

2、现在没有明确的调查方向。

【】下一步策略

1、转测试进行确认，再观察几个版本，如果问题还存在，再继续分析问题。（问题发生时，请帮忙提供下详细的日志和视屏）

#7 - 2023-04-21 15:29 - CD FW王武军

- Assignee changed from CD FW王武军 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 100

- Resolution changed from -- to FIX_LATER

- Fixed Version set to 2023-04-21

- Root cause set to 问题原因：

可能与小窗和多任务的状态切换有关系。

#8 - 2023-04-23 17:32 - 物联网测试组_CDTS  唐霞 

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304220234 版本验证10次未复现

4/24验证20次未复现

#9 - 2023-04-25 15:47 - 物联网测试组_CDTS  唐霞 

- Assignee changed from 物联网测试组_CDTS  唐霞  to CD TPM-王祥林
请研发添加加扩展日志跟踪后在给测试验证，本就是低概率出现问题，未加日志打印复现后也不好定位

#10 - 2023-04-25 20:44 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW-鲁凯峰

凯峰

请针对小窗功能添加日志，尽量保证日志加全一些方便复现定位问题。

#11 - 2023-05-04 19:50 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

日志已添加,请继续观察几个版本

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/196355

#12 - 2023-05-04 19:51 - CD FW-鲁凯峰

- Resolution changed from FIX_LATER to FIXED

#13 - 2023-05-05 19:31 - 物联网测试组_CDTS  唐霞 

验证20次未复现

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103

#14 - 2023-05-09 18:24 - 物联网测试组_CDTS  唐霞 

验证20次未复现

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103

#15 - 2023-05-15 19:09 - 物联网测试组_CDTS  唐霞 

验证20次未复现

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305150054

#16 - 2023-05-16 19:03 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证多个版本未复现，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103

#17 - 2023-05-16 19:03 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
